| 0.9.9 API documenation

- Main Page
- Modules
- Files

- File List

Functions
vector_relational.hpp File Reference

Core features More...

Go to the source code of this file.

## Functions
template<length_t L, qualifier Q>
GLM_FUNC_DECL bool | all (vec< L, bool, Q > const &v)
| Returns true if all components of x are true. More...
template<length_t L, qualifier Q>
GLM_FUNC_DECL bool | any (vec< L, bool, Q > const &v)
| Returns true if any component of x is true. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | equal (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
| Returns the component-wise comparison of result x == y. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | greaterThan (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
| Returns the component-wise comparison of result x > y. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | greaterThanEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
| Returns the component-wise comparison of result x >= y. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | lessThan (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
| Returns the component-wise comparison result of x < y. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | lessThanEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
| Returns the component-wise comparison of result x <= y. More...
template<length_t L, qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | not_ (vec< L, bool, Q > const &v)
| Returns the component-wise logical complement of x. More...
template<length_t L, typename T , qualifier Q>
GLM_FUNC_DECL vec< L, bool, Q > | notEqual (vec< L, T, Q > const &x, vec< L, T, Q > const &y)
| Returns the component-wise comparison of result x != y. More...

## Detailed Description

Core features

See also
  GLSL 4.20.8 specification, section 8.7 Vector Relational Functions

Definition in file vector_relational.hpp.